"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GDBBackendFactory = void 0;
/*********************************************************************
 * Copyright (c) 2024 Renesas Electronics Corporation and others
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *********************************************************************/
const logger_1 = require("@vscode/debugadapter/lib/logger");
const GDBBackend_1 = require("../../gdb/GDBBackend");
const GDBWebProcessManager_1 = require("../processManagers/GDBWebProcessManager");
class GDBBackendFactory {
    constructor() {
        this.logger = logger_1.logger;
    }
    createGDBManager(session, args) {
        return __awaiter(this, void 0, void 0, function* () {
            return new GDBWebProcessManager_1.GDBWebProcessManager();
        });
    }
    createBackend(session, manager, args) {
        return __awaiter(this, void 0, void 0, function* () {
            return new GDBBackend_1.GDBBackend(manager);
        });
    }
}
exports.GDBBackendFactory = GDBBackendFactory;
//# sourceMappingURL=GDBBackendFactory.js.map